Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.selenium
Class DefaultRemoteCommand

    java.lang.Object
      com.thoughtworks.selenium.DefaultRemoteCommand

All Implemented Interfaces:
  RemoteCommand

    public class DefaultRemoteCommand

extends java.lang.Object
implements RemoteCommand

The default implementation of the RemoteCommand interface

Version:
  $Revision: 1647 $
Author:
  Paul Hammant
See Also:
  `RemoteCommand`

Constructor Summary
`DefaultRemoteCommand(java.lang.String command, java.lang.String[] args)`

Method Summary
`java.lang.String` | `getCommandURLString()` Return the URL query string which will be sent to the browser
`static RemoteCommand` | `parse(java.lang.String inputLine)` Factory method to create a RemoteCommand from a wiki-style input string
`java.lang.String` | `toString()`
`static java.lang.String` | `urlEncode(java.lang.String text)` Encodes the text as an URL using UTF-8.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultRemoteCommand

    public DefaultRemoteCommand(java.lang.String command,
                                java.lang.String[] args)

Method Detail

### getCommandURLString

    public java.lang.String getCommandURLString()

  Description copied from interface: `RemoteCommand`
  Return the URL query string which will be sent to the browser

  Specified by:
    `getCommandURLString` in interface `RemoteCommand`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### parse

    public static RemoteCommand parse(java.lang.String inputLine)

  Factory method to create a RemoteCommand from a wiki-style input string

### urlEncode

    public static java.lang.String urlEncode(java.lang.String text)

  Encodes the text as an URL using UTF-8.

  Parameters:
    `text` - the text too encode
  Returns:
    the encoded URI string
  See Also:
    `URLEncoder.encode(java.lang.String, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.